'use strict'

const Method = require('./method.js').Method;
var network = require("../utils/network.js");
const baseUrl = require('./index.js').config;
var app = getApp();

// 新增地址请求接口
const takeSign = (url, urldata, data, message, success, fail) => {
  network.requestOss(url, urldata, {
    ...data,
  },
    Method.GET,
    message,
    function (res) {
      typeof success == "function" && success(res)
    },
    function (ex) {
      // 失败执行的方法
      typeof fail == "function" && fail(ex)
    })
}

module.exports = {
  takeSign: takeSign,
}